{"_id":"cozy-jsdav-fork","_rev":"29-c3a8fe3471f9eb643915d420d3f432f2","name":"cozy-jsdav-fork","description":"jsDAV allows you to easily add WebDAV support to a NodeJS application. jsDAV is meant to cover the entire standard, and attempts to allow integration using an easy to understand API.","dist-tags":{"latest":"0.3.17"},"versions":{"0.3.2-caldav":{"name":"cozy-jsdav-fork","description":"https://npmjs.org/package/jsDAV temporary fork including caldav. Published to npm to handle versions with cozy-webdav, please use the original package.","version":"0.3.2-caldav","homepage":"http://github.com/aenario/jsDAV","engines":{"node":">= 0.4.0"},"author":{"name":"Mike de Boer","email":"info@mikedeboer.nl"},"scripts":{"test":"node test/test_server.js"},"main":"lib/jsdav","repository":{"type":"git","url":"http://github.com/aenario/jsDAV.git"},"dependencies":{"asyncjs":"~0.0.8","formidable":"~1.0.11","xmldom":"~0.1.13","xpath":"~0.0.5","jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","gnu-tools":"0.0.x"},"optionalDependencies":{"jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","gnu-tools":"0.0.x"},"licenses":[{"type":"The MIT License","url":"http://www.opensource.org/licenses/mit-license.php"}],"bugs":{"url":"https://github.com/aenario/jsDAV/issues"},"_id":"cozy-jsdav-fork@0.3.2-caldav","dist":{"shasum":"313b6df07379fe3a5059a6136a83a907d1b233c7","tarball":"https://registry.npmjs.org/cozy-jsdav-fork/-/cozy-jsdav-fork-0.3.2-caldav.tgz","integrity":"sha512-dYNAWkRQfGODWC6fhgzGlUb0L5DTfye3BS/HrwlB1OftBV+TP3tOUupYJ9UnSMA3lEG+0PBDxit5AU68s0wByQ==","signatures":[{"keyid":"SHA256:jl3bwswu80PjjokCgh0o2w5c2U4LhQAE57gj9cz1kzA","sig":"MEUCIFjgHJ6zaeDCXTqZ7jhjqLeInTBLSrfhSXzLLQMqe3QKAiEA5eHN5iUVuNQUynzNZrBIfhEhkq9H0CgYqYFVOvqGyw0="}]},"_from":".","_npmVersion":"1.2.30","_npmUser":{"name":"mycozycloud","email":"frank@cozycloud.cc"},"maintainers":[{"name":"mycozycloud","email":"frank@cozycloud.cc"}]},"0.3.3-caldav":{"name":"cozy-jsdav-fork","description":"https://npmjs.org/package/jsDAV temporary fork including caldav. Published to npm to handle versions with cozy-webdav, please use the original package.","version":"0.3.3-caldav","homepage":"http://github.com/aenario/jsDAV","engines":{"node":">= 0.4.0"},"author":{"name":"Mike de Boer","email":"info@mikedeboer.nl"},"scripts":{"test":"node test/test_server.js"},"main":"lib/jsdav","repository":{"type":"git","url":"http://github.com/aenario/jsDAV.git"},"dependencies":{"asyncjs":"~0.0.8","formidable":"~1.0.11","xmldom":"~0.1.13","xpath":"~0.0.5","jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","gnu-tools":"0.0.x"},"optionalDependencies":{"jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","gnu-tools":"0.0.x"},"licenses":[{"type":"The MIT License","url":"http://www.opensource.org/licenses/mit-license.php"}],"bugs":{"url":"https://github.com/aenario/jsDAV/issues"},"_id":"cozy-jsdav-fork@0.3.3-caldav","dist":{"shasum":"8121f3f74ef752bd24726022e52ba7c0ee83e40e","tarball":"https://registry.npmjs.org/cozy-jsdav-fork/-/cozy-jsdav-fork-0.3.3-caldav.tgz","integrity":"sha512-tRiMUeGbgMCqwGiRjGpFZ3PUMaRAnCqRH3fO3QKfGAY4LUgYPLmq5k4bEbEz0Y7Kk5zrYK5H4VTHIn59W+ycog==","signatures":[{"keyid":"SHA256:jl3bwswu80PjjokCgh0o2w5c2U4LhQAE57gj9cz1kzA","sig":"MEQCIH0wPw/ewuAra51VpGfrfWNsJAZC8e77v0FSe8hda7x6AiAC95E/apEbB4xma6n8DrAq4hcwrmJHpbtKBeQ7L/9Xfw=="}]},"_from":".","_npmVersion":"1.2.30","_npmUser":{"name":"mycozycloud","email":"frank@cozycloud.cc"},"maintainers":[{"name":"mycozycloud","email":"frank@cozycloud.cc"}]},"0.3.4-caldav":{"name":"cozy-jsdav-fork","description":"https://npmjs.org/package/jsDAV temporary fork including caldav. Published to npm to handle versions with cozy-webdav, please use the original package.","version":"0.3.4-caldav","homepage":"http://github.com/aenario/jsDAV","engines":{"node":">= 0.4.0"},"author":{"name":"Mike de Boer","email":"info@mikedeboer.nl"},"scripts":{"test":"node test/test_server.js"},"main":"lib/jsdav","repository":{"type":"git","url":"http://github.com/aenario/jsDAV.git"},"dependencies":{"asyncjs":"~0.0.8","formidable":"~1.0.11","xmldom":"~0.1.13","xpath":"~0.0.5","jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","gnu-tools":"0.0.x"},"optionalDependencies":{"jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","gnu-tools":"0.0.x"},"licenses":[{"type":"The MIT License","url":"http://www.opensource.org/licenses/mit-license.php"}],"bugs":{"url":"https://github.com/aenario/jsDAV/issues"},"_id":"cozy-jsdav-fork@0.3.4-caldav","dist":{"shasum":"a6c98e5a815b3ba943ebbc8f6c4d15350dd43610","tarball":"https://registry.npmjs.org/cozy-jsdav-fork/-/cozy-jsdav-fork-0.3.4-caldav.tgz","integrity":"sha512-yrp6KFbWsgilU/tBJjaOREXhCmcsw0zhCPJRfKnxbdPVxz3VP1pVx9g4wTFHVYKWd5c2/Gamao8ha45F0R1RIw==","signatures":[{"keyid":"SHA256:jl3bwswu80PjjokCgh0o2w5c2U4LhQAE57gj9cz1kzA","sig":"MEQCIA2rjKBy/Gr9PT/PWLtoZG4l0iB/nMHJRs2YXvQK03c2AiBX1YXPS9FlANh9bmjKLHQmz5OsyDTdkzrcclwboM1xag=="}]},"_from":".","_npmVersion":"1.2.30","_npmUser":{"name":"mycozycloud","email":"frank@cozycloud.cc"},"maintainers":[{"name":"mycozycloud","email":"frank@cozycloud.cc"}]},"0.3.5-caldav":{"name":"cozy-jsdav-fork","description":"https://npmjs.org/package/jsDAV temporary fork including caldav. Published to npm to handle versions with cozy-webdav, please use the original package.","version":"0.3.5-caldav","homepage":"http://github.com/aenario/jsDAV","engines":{"node":">= 0.4.0"},"author":{"name":"Mike de Boer","email":"info@mikedeboer.nl"},"scripts":{"test":"node test/test_server.js"},"main":"lib/jsdav","repository":{"type":"git","url":"http://github.com/aenario/jsDAV.git"},"dependencies":{"asyncjs":"~0.0.8","formidable":"~1.0.11","xmldom":"~0.1.13","xpath":"~0.0.5","moment":"2.4.0","time":"0.10.0","jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","gnu-tools":"0.0.x"},"optionalDependencies":{"jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","gnu-tools":"0.0.x"},"devDependencies":{"mocha":"","assert":""},"licenses":[{"type":"The MIT License","url":"http://www.opensource.org/licenses/mit-license.php"}],"_id":"cozy-jsdav-fork@0.3.5-caldav","dist":{"shasum":"c2579c89e6f35d59e97d8c51854cba37ad42a8f6","tarball":"https://registry.npmjs.org/cozy-jsdav-fork/-/cozy-jsdav-fork-0.3.5-caldav.tgz","integrity":"sha512-zPp175tat1fHTUf4ui8LAhONLplVZAvYBhKRbnh0m0JZa9AlKS+TwPgdHZN3hcY+gaKIzuKVmdPn5Vp3+dcR6Q==","signatures":[{"keyid":"SHA256:jl3bwswu80PjjokCgh0o2w5c2U4LhQAE57gj9cz1kzA","sig":"MEUCIQDBYcgHJ5TC+++H0KiUxonDLt8JW8SrD4MWjwFmuB0JSwIgC8xjpebuF/becFLpMviMl13eME8h7xCwngoWZ9pfYTA="}]},"_from":".","_npmVersion":"1.2.2","_npmUser":{"name":"mycozycloud","email":"contact@cozycloud.cc"},"maintainers":[{"name":"mycozycloud","email":"frank@cozycloud.cc"}]},"0.3.6":{"name":"cozy-jsdav-fork","description":"https://npmjs.org/package/jsDAV temporary fork including caldav. Published to npm to handle versions with cozy-webdav, please use the original package.","version":"0.3.6","homepage":"http://github.com/aenario/jsDAV","engines":{"node":">= 0.4.0"},"author":{"name":"Mike de Boer","email":"info@mikedeboer.nl"},"scripts":{"test":"node test/test_server.js"},"main":"lib/jsdav","repository":{"type":"git","url":"http://github.com/aenario/jsDAV.git"},"dependencies":{"asyncjs":"~0.0.8","formidable":"~1.0.11","xmldom":"~0.1.13","xpath":"~0.0.5","moment":"2.4.0","time":"0.10.0","jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","gnu-tools":"0.0.x"},"optionalDependencies":{"jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","gnu-tools":"0.0.x"},"devDependencies":{"mocha":"","assert":""},"licenses":[{"type":"The MIT License","url":"http://www.opensource.org/licenses/mit-license.php"}],"bugs":{"url":"https://github.com/aenario/jsDAV/issues"},"_id":"cozy-jsdav-fork@0.3.6","dist":{"shasum":"9f8096adbec87080a173bbc2ff5140a6c47726bc","tarball":"https://registry.npmjs.org/cozy-jsdav-fork/-/cozy-jsdav-fork-0.3.6.tgz","integrity":"sha512-F0QNVDDdLhNsIWj4qzDaju9nmJmfKkRgLT4SK7B/ARQ8E0QrX2jc1eQ7j3KfchybKcA/KWxIg6U0zgA0u4UwmA==","signatures":[{"keyid":"SHA256:jl3bwswu80PjjokCgh0o2w5c2U4LhQAE57gj9cz1kzA","sig":"MEYCIQCzUrdxh0m3LtdGm6/Cm2s41VugAB3Edodq/1COiPi9igIhAK8+vaq+VVwozTBbH8qW3i3TSuuNBJfQ0go6voh0hsmD"}]},"_from":".","_npmVersion":"1.2.30","_npmUser":{"name":"mycozycloud","email":"contact@cozycloud.cc"},"maintainers":[{"name":"mycozycloud","email":"frank@cozycloud.cc"}]},"0.3.7":{"name":"cozy-jsdav-fork","description":"jsDAV allows you to easily add WebDAV support to a NodeJS application. jsDAV is meant to cover the entire standard, and attempts to allow integration using an easy to understand API.","version":"0.3.7","homepage":"http://github.com/cozy/jsDAV","engines":{"node":">= 0.4.0"},"author":{"name":"Mike de Boer","email":"info@mikedeboer.nl"},"scripts":{"test":"node test/test_server.js","mocha":"find ./test/postgre -name '*.js' | xargs mocha"},"main":"lib/jsdav","repository":{"type":"git","url":"http://github.com/cozy/jsDAV.git"},"dependencies":{"asyncjs":"~0.0.8","formidable":"~1.0.11","xmldom":"~0.1.13","xpath":"~0.0.5","moment":"2.4.0","jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","pg":"~1.3.0","gnu-tools":"0.0.x"},"optionalDependencies":{"jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","pg":"~1.3.0","gnu-tools":"0.0.x"},"devDependencies":{"chai":"latest","mocha":"","assert":""},"licenses":[{"type":"The MIT License","url":"http://www.opensource.org/licenses/mit-license.php"}],"gitHead":"cecb72a47cb963c5b3250e3c5f27515a3cdb9d47","bugs":{"url":"https://github.com/cozy/jsDAV/issues"},"_id":"cozy-jsdav-fork@0.3.7","_shasum":"0df3cfff5b707920c56cb61f5b5cd6b09895d6d2","_from":".","_npmVersion":"1.4.28","_npmUser":{"name":"mycozycloud","email":"frank@cozycloud.cc"},"maintainers":[{"name":"mycozycloud","email":"frank@cozycloud.cc"}],"dist":{"shasum":"0df3cfff5b707920c56cb61f5b5cd6b09895d6d2","tarball":"https://registry.npmjs.org/cozy-jsdav-fork/-/cozy-jsdav-fork-0.3.7.tgz","integrity":"sha512-TXuZNZ8lAXp805wVWfyao0WnZ5Uo3pMO7xWSXQn95P6XN9ts6Y0T565Gn4AB/ARfYB+P2LNbuKW4El935H8cZw==","signatures":[{"keyid":"SHA256:jl3bwswu80PjjokCgh0o2w5c2U4LhQAE57gj9cz1kzA","sig":"MEYCIQDDceizCT0oZEQSn/mvabfn/HhseUfmpcdo9lbuGIyUnAIhAIh/oJwvRNZVc6kTGiNN7hwUS3Axe8PPfq4NnxMhKgAU"}]}},"0.3.8":{"name":"cozy-jsdav-fork","description":"jsDAV allows you to easily add WebDAV support to a NodeJS application. jsDAV is meant to cover the entire standard, and attempts to allow integration using an easy to understand API.","version":"0.3.8","homepage":"http://github.com/cozy/jsDAV","engines":{"node":">= 0.4.0"},"author":{"name":"Mike de Boer","email":"info@mikedeboer.nl"},"scripts":{"test":"node test/test_server.js","mocha":"find ./test/postgre -name '*.js' | xargs mocha"},"main":"lib/jsdav","repository":{"type":"git","url":"http://github.com/cozy/jsDAV.git"},"dependencies":{"asyncjs":"~0.0.8","formidable":"~1.0.11","xmldom":"~0.1.13","xpath":"~0.0.5","moment":"2.4.0","jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","pg":"~1.3.0","gnu-tools":"0.0.x"},"optionalDependencies":{"jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","pg":"~1.3.0","gnu-tools":"0.0.x"},"devDependencies":{"chai":"latest","mocha":"","assert":""},"licenses":[{"type":"The MIT License","url":"http://www.opensource.org/licenses/mit-license.php"}],"gitHead":"01c32f9ab8d1c63b04f057f433ecc77caee85c38","bugs":{"url":"https://github.com/cozy/jsDAV/issues"},"_id":"cozy-jsdav-fork@0.3.8","_shasum":"0a0d7e29eb81587e099c0a4ae10ac00b30410b9c","_from":".","_npmVersion":"1.4.28","_npmUser":{"name":"mycozycloud","email":"frank@cozycloud.cc"},"maintainers":[{"name":"mycozycloud","email":"frank@cozycloud.cc"}],"dist":{"shasum":"0a0d7e29eb81587e099c0a4ae10ac00b30410b9c","tarball":"https://registry.npmjs.org/cozy-jsdav-fork/-/cozy-jsdav-fork-0.3.8.tgz","integrity":"sha512-NNE9Iy3xFuB6pF8SZYC5YusIR9wYYn82riUKAfP4T0BV4Hbca2jfDplwStHwOiCIb+vSnqKvtEbrq+qjzpo+Hg==","signatures":[{"keyid":"SHA256:jl3bwswu80PjjokCgh0o2w5c2U4LhQAE57gj9cz1kzA","sig":"MEQCICJbiRaVFvroiqB9iyfilK3K6zOr+BITChMtbWBJjSqcAiBqOyOdnQl+P603BIUSbwp1Gru5e1VZtBSBSL1I455U+Q=="}]}},"0.3.9":{"name":"cozy-jsdav-fork","description":"jsDAV allows you to easily add WebDAV support to a NodeJS application. jsDAV is meant to cover the entire standard, and attempts to allow integration using an easy to understand API.","version":"0.3.9","homepage":"http://github.com/cozy/jsDAV","engines":{"node":">= 0.4.0"},"author":{"name":"Mike de Boer","email":"info@mikedeboer.nl"},"scripts":{"test":"node test/test_server.js","mocha":"find ./test/postgre -name '*.js' | xargs mocha"},"main":"lib/jsdav","repository":{"type":"git","url":"http://github.com/cozy/jsDAV.git"},"dependencies":{"asyncjs":"~0.0.8","formidable":"~1.0.11","xmldom":"~0.1.13","xpath":"~0.0.5","moment":"2.4.0","jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","pg":"~1.3.0","gnu-tools":"0.0.x"},"optionalDependencies":{"jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","pg":"~1.3.0","gnu-tools":"0.0.x"},"devDependencies":{"chai":"latest","mocha":"","assert":""},"licenses":[{"type":"The MIT License","url":"http://www.opensource.org/licenses/mit-license.php"}],"gitHead":"2bfbfe6a3f8ba4216e2ce357670184f11bcac824","bugs":{"url":"https://github.com/cozy/jsDAV/issues"},"_id":"cozy-jsdav-fork@0.3.9","_shasum":"a18b9dc486c8ed8cf6088230eab0c66e39b6dce5","_from":".","_npmVersion":"1.4.28","_npmUser":{"name":"mycozycloud","email":"frank@cozycloud.cc"},"maintainers":[{"name":"mycozycloud","email":"frank@cozycloud.cc"}],"dist":{"shasum":"a18b9dc486c8ed8cf6088230eab0c66e39b6dce5","tarball":"https://registry.npmjs.org/cozy-jsdav-fork/-/cozy-jsdav-fork-0.3.9.tgz","integrity":"sha512-WdtgH8zII7Z/Ve3EbCEHrUfysE/bFvbsuDXYAG5r32QCEZuRUVPHFqvAOdFsvS5UOgsYHrgy6uNLqKTCrzb5pA==","signatures":[{"keyid":"SHA256:jl3bwswu80PjjokCgh0o2w5c2U4LhQAE57gj9cz1kzA","sig":"MEQCIHkE9c5EUOkquZwqJlK054U5NGlOw3lTB4wm1Qo+kAeLAiBTJESTGeUsP+wEbtPPRxPrKA3XfDdWRhCfKb7Ipm/t5g=="}]}},"0.3.10":{"name":"cozy-jsdav-fork","description":"jsDAV allows you to easily add WebDAV support to a NodeJS application. jsDAV is meant to cover the entire standard, and attempts to allow integration using an easy to understand API.","version":"0.3.10","homepage":"http://github.com/cozy/jsDAV","engines":{"node":">= 0.4.0"},"author":{"name":"Mike de Boer","email":"info@mikedeboer.nl"},"scripts":{"test":"node test/test_server.js","mocha":"find ./test/postgre -name '*.js' | xargs mocha"},"main":"lib/jsdav","repository":{"type":"git","url":"http://github.com/cozy/jsDAV.git"},"dependencies":{"asyncjs":"~0.0.8","formidable":"~1.0.11","xmldom":"~0.1.13","xpath":"~0.0.5","moment":"2.4.0","jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","pg":"~1.3.0","gnu-tools":"0.0.x"},"optionalDependencies":{"jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","pg":"~1.3.0","gnu-tools":"0.0.x"},"devDependencies":{"chai":"latest","mocha":"","assert":""},"licenses":[{"type":"The MIT License","url":"http://www.opensource.org/licenses/mit-license.php"}],"gitHead":"3bc904fd8965f53e7c0492e519e76f6513bce5b7","bugs":{"url":"https://github.com/cozy/jsDAV/issues"},"_id":"cozy-jsdav-fork@0.3.10","_shasum":"9112fc47adff33f6f6f43c51425112bf73a57bd5","_from":".","_npmVersion":"1.4.28","_npmUser":{"name":"mycozycloud","email":"frank@cozycloud.cc"},"maintainers":[{"name":"mycozycloud","email":"frank@cozycloud.cc"}],"dist":{"shasum":"9112fc47adff33f6f6f43c51425112bf73a57bd5","tarball":"https://registry.npmjs.org/cozy-jsdav-fork/-/cozy-jsdav-fork-0.3.10.tgz","integrity":"sha512-lwztXyg91iaCSaDzaBMeiYwXIA2w1lgaXQugJV2lDvm9RPCgBSx9tLz0baJNek9XjILmqUniD5mWLMCYgco1sg==","signatures":[{"keyid":"SHA256:jl3bwswu80PjjokCgh0o2w5c2U4LhQAE57gj9cz1kzA","sig":"MEYCIQDz0q8QeLnfMU9GaIBenuwqQbvL/GIIvPgsCGivWx+tOAIhAK1U5KeYeMH4rhzjOLXgISBm9X/EPeIDF7BV58OTewwn"}]}},"0.3.11":{"name":"cozy-jsdav-fork","description":"jsDAV allows you to easily add WebDAV support to a NodeJS application. jsDAV is meant to cover the entire standard, and attempts to allow integration using an easy to understand API.","version":"0.3.11","homepage":"http://github.com/cozy/jsDAV","engines":{"node":">= 0.4.0"},"author":{"name":"Mike de Boer","email":"info@mikedeboer.nl"},"scripts":{"test":"node test/test_server.js","mocha":"find ./test/postgre -name '*.js' | xargs mocha"},"main":"lib/jsdav","repository":{"type":"git","url":"http://github.com/cozy/jsDAV.git"},"dependencies":{"asyncjs":"~0.0.8","formidable":"~1.0.11","xmldom":"~0.1.13","xpath":"~0.0.5","moment":"2.4.0","jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","pg":"~1.3.0","gnu-tools":"0.0.x"},"optionalDependencies":{"jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","pg":"~1.3.0","gnu-tools":"0.0.x"},"devDependencies":{"chai":"latest","mocha":"","assert":""},"licenses":[{"type":"The MIT License","url":"http://www.opensource.org/licenses/mit-license.php"}],"gitHead":"a3cb84866c30580c8d65c0f9a1af98f8d563e463","bugs":{"url":"https://github.com/cozy/jsDAV/issues"},"_id":"cozy-jsdav-fork@0.3.11","_shasum":"62dd2dffd4d67247c73ec5c1f5b1d5acff3fe8d2","_from":".","_npmVersion":"1.4.28","_npmUser":{"name":"mycozycloud","email":"frank@cozycloud.cc"},"maintainers":[{"name":"mycozycloud","email":"frank@cozycloud.cc"}],"dist":{"shasum":"62dd2dffd4d67247c73ec5c1f5b1d5acff3fe8d2","tarball":"https://registry.npmjs.org/cozy-jsdav-fork/-/cozy-jsdav-fork-0.3.11.tgz","integrity":"sha512-i5W7hzw6XHEri1X/Ux9rB7rRCnTmczcP8dJ1WLf+TL/GtvEb/CoAFSbz4Xtx10ji3YMutGpKsO5H3VHMmvA61w==","signatures":[{"keyid":"SHA256:jl3bwswu80PjjokCgh0o2w5c2U4LhQAE57gj9cz1kzA","sig":"MEYCIQD9rJ5R23fR1zXNWZQr0dj/lmjKXxRIOe9uwPwU4vOaHwIhALh+MLygw3zSKjpCAiGtsOo067in+rWefOLDfhgavIWn"}]}},"0.3.12":{"name":"cozy-jsdav-fork","description":"jsDAV allows you to easily add WebDAV support to a NodeJS application. jsDAV is meant to cover the entire standard, and attempts to allow integration using an easy to understand API.","version":"0.3.12","homepage":"http://github.com/cozy/jsDAV","engines":{"node":">= 0.4.0"},"author":{"name":"Mike de Boer","email":"info@mikedeboer.nl"},"scripts":{"test":"node test/test_server.js","mocha":"find ./test/postgre -name '*.js' | xargs mocha"},"main":"lib/jsdav","repository":{"type":"git","url":"http://github.com/cozy/jsDAV.git"},"dependencies":{"asyncjs":"~0.0.8","formidable":"~1.0.11","xmldom":"~0.1.13","xpath":"~0.0.5","moment":"2.4.0","jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","pg":"~1.3.0","gnu-tools":"0.0.x"},"optionalDependencies":{"jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","pg":"~1.3.0","gnu-tools":"0.0.x"},"devDependencies":{"chai":"latest","mocha":"","assert":""},"licenses":[{"type":"The MIT License","url":"http://www.opensource.org/licenses/mit-license.php"}],"gitHead":"812db480738ab6fc0b450b1251342f047c3dcadf","bugs":{"url":"https://github.com/cozy/jsDAV/issues"},"_id":"cozy-jsdav-fork@0.3.12","_shasum":"3cdd6e1d97a6dff660090c970dafae834187c21b","_from":".","_npmVersion":"1.4.28","_npmUser":{"name":"mycozycloud","email":"frank@cozycloud.cc"},"maintainers":[{"name":"mycozycloud","email":"frank@cozycloud.cc"}],"dist":{"shasum":"3cdd6e1d97a6dff660090c970dafae834187c21b","tarball":"https://registry.npmjs.org/cozy-jsdav-fork/-/cozy-jsdav-fork-0.3.12.tgz","integrity":"sha512-sGxjkdH1xPvZlHQGZDKkRPLNGSozCfUAfhoPHtf52GhqA+imwSogXejUTITbxSvdZE3FT/oz1iJT3ktVafw4qQ==","signatures":[{"keyid":"SHA256:jl3bwswu80PjjokCgh0o2w5c2U4LhQAE57gj9cz1kzA","sig":"MEQCIHP5X93V+96UMHjIJ47bobM6htTnwHdU1qtli57YMn41AiBJBXMLWw8VMPBNwbXI3/L3B/uZvKA+zvPDxHXYzLgRng=="}]}},"0.3.13":{"name":"cozy-jsdav-fork","description":"jsDAV allows you to easily add WebDAV support to a NodeJS application. jsDAV is meant to cover the entire standard, and attempts to allow integration using an easy to understand API.","version":"0.3.13","homepage":"http://github.com/cozy/jsDAV","engines":{"node":">= 0.4.0"},"author":{"name":"Mike de Boer","email":"info@mikedeboer.nl"},"scripts":{"test":"node test/test_server.js","mocha":"find ./test/postgre -name '*.js' | xargs mocha"},"main":"lib/jsdav","repository":{"type":"git","url":"http://github.com/cozy/jsDAV.git"},"dependencies":{"asyncjs":"~0.0.8","formidable":"~1.0.11","xmldom":"~0.1.13","xpath":"~0.0.5","moment":"2.4.0","jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","pg":"~1.3.0","gnu-tools":"0.0.x"},"optionalDependencies":{"jsftp":"~0.5.4","node-sftp":"0.1.1","dbox":"~0.5.6","redis":"~0.8.2","mongodb":"~1.2.12","pg":"~1.3.0","gnu-tools":"0.0.x"},"devDependencies":{"chai":"latest","mocha":"","assert":""},"licenses":[{"type":"The MIT License","url":"http://www.opensource.org/licenses/mit-license.php"}],"gitHead":"b534142ced7c8ca971a1aaea579c10a1390f9cd5","bugs":{"url":"https://github.com/cozy/jsDAV/issues"},"_id":"cozy-jsdav-fork@0.3.13","_shasum":"a5010826e038487334405f07b22d875db4f49b61","_from":".","_npmVersion":"1.4.28","_npmUser":{"name":"mycozycloud","email":"frank@cozycloud.cc"},"maintainers":[{"name":"mycozycloud","email":"frank@cozycloud.cc"}],"dist":{"shasum":"a5010826e038487334405f07b22d875db4f49b61","tarball":"https://registry.npmjs.org/cozy-jsdav-fork/-/cozy-jsdav-fork-0.3.13.tgz","integrity":"sha512-ns4ArYyX/IBgFTIvi9ceZgi5Q0Q88kOz+ytVmJhULJS1Oh/x4fYZkn2+0fy+f31EJ5DWZMGEMQDwmfXuwMLbTA==","signatures":[{"keyid":"SHA256:jl3bwswu80PjjokCgh0o2w5c2U4LhQAE57gj9cz1kzA","sig":"MEUCICvAdPZ7hkbbQSm7FqvLVLjWb6fiVYdrhYAIvU2NKlkVAiEAgkLTLiv2cErzCE8oOcmgoeB2yo88MSexx0CDFLZSoss="}]}},"0.3.14":{"name":"cozy-jsdav-fork","description":"jsDAV allows you to easily add WebDAV support to a NodeJS application. jsDAV is meant to cover the entire standard, and attempts to allow integration using an easy to understand API.","version":"0.3.14","license":"MIT","homepage":"http://github.com/cozy/jsDAV","engines":{"node":">= 0.4.0"},"author":{"name":"Mike de Boer","email":"info@mikedeboer.nl"},"scripts":{"test":"node test/test_server.js","mocha":"find ./test/postgre -name '*.js' | xargs mocha"},"main":"lib/jsdav","repository":{"type":"git","url":"http://github.com/cozy/jsDAV.git"},"dependencies":{"asyncjs":"0.0.10","formidable":"1.0.17","xmldom":"0.1.21","xpath":"0.0.21","moment":"2.11.1"},"devDependencies":{"chai":"latest","mocha":"","assert":""},"licenses":[{"type":"The MIT License","url":"http://www.opensource.org/licenses/mit-license.php"}],"gitHead":"91f678400d11e100bfcb066e6f5eb0b6fa5d52b0","bugs":{"url":"https://github.com/cozy/jsDAV/issues"},"_id":"cozy-jsdav-fork@0.3.14","_shasum":"f4188179033c80a93b49557a183c9cfde605ecc9","_from":".","_npmVersion":"1.4.28","_npmUser":{"name":"mycozycloud","email":"frank@cozycloud.cc"},"maintainers":[{"name":"mycozycloud","email":"frank@cozycloud.cc"}],"dist":{"shasum":"f4188179033c80a93b49557a183c9cfde605ecc9","tarball":"https://registry.npmjs.org/cozy-jsdav-fork/-/cozy-jsdav-fork-0.3.14.tgz","integrity":"sha512-FeLTixe515Q/28JvMxctmY+9J7HqOa4nSKuRMRsgieUvkLjVz80IQz3f8GjFmF7Sz343odSc2+mKC++NFVYe2A==","signatures":[{"keyid":"SHA256:jl3bwswu80PjjokCgh0o2w5c2U4LhQAE57gj9cz1kzA","sig":"MEUCIQCTokI24/6oKpUBkQ4jQCjayWaITxgbclsUkSTTRUJLrQIgMdPv9t0lAroDwSoTD0Ib52UcfIzm12g5iFVQ5kRe9qc="}]},"_npmOperationalInternal":{"host":"packages-6-west.internal.npmjs.com","tmp":"tmp/cozy-jsdav-fork-0.3.14.tgz_1456143575875_0.7395657610613853"}},"0.3.15":{"name":"cozy-jsdav-fork","description":"jsDAV allows you to easily add WebDAV support to a NodeJS application. jsDAV is meant to cover the entire standard, and attempts to allow integration using an easy to understand API.","version":"0.3.15","license":"MIT","homepage":"http://github.com/cozy/jsDAV","engines":{"node":">= 0.4.0"},"author":{"name":"Mike de Boer","email":"info@mikedeboer.nl"},"scripts":{"test":"node test/test_server.js","mocha":"find ./test/postgre -name '*.js' | xargs mocha"},"main":"lib/jsdav","repository":{"type":"git","url":"http://github.com/cozy/jsDAV.git"},"dependencies":{"asyncjs":"0.0.10","formidable":"1.0.17","xmldom":"0.1.21","xpath":"0.0.21","moment":"2.11.1"},"devDependencies":{"chai":"latest","mocha":"","assert":""},"licenses":[{"type":"The MIT License","url":"http://www.opensource.org/licenses/mit-license.php"}],"gitHead":"25e82ef482f8f2d92f3df0e83aaaad709bb9ea35","bugs":{"url":"https://github.com/cozy/jsDAV/issues"},"_id":"cozy-jsdav-fork@0.3.15","_shasum":"6e96b5b65d743300f2d4bc1694ec69145ffe9359","_from":".","_npmVersion":"1.4.28","_npmUser":{"name":"mycozycloud","email":"frank@cozycloud.cc"},"maintainers":[{"name":"mycozycloud","email":"frank@cozycloud.cc"}],"dist":{"shasum":"6e96b5b65d743300f2d4bc1694ec69145ffe9359","tarball":"https://registry.npmjs.org/cozy-jsdav-fork/-/cozy-jsdav-fork-0.3.15.tgz","integrity":"sha512-aPEyaMwDdhMdOIyl+PasNHI+KfjxrU5do/8yPIgF5YnzvJnzXg7+KzACiMXqpCXbkxbZz2WPI+JZ8dzVZ1HseA==","signatures":[{"keyid":"SHA256:jl3bwswu80PjjokCgh0o2w5c2U4LhQAE57gj9cz1kzA","sig":"MEUCIQC6fkHXDjmYzo3I4m459c/2VhWtkvF7wSXd+JkNNexuAgIgDbnPi8+5L3jiL+3HMCY5OodGqOEPYzCzCdnVVlZkkag="}]},"_npmOperationalInternal":{"host":"packages-6-west.internal.npmjs.com","tmp":"tmp/cozy-jsdav-fork-0.3.15.tgz_1456827784789_0.8637007030192763"}},"0.3.16":{"name":"cozy-jsdav-fork","description":"jsDAV allows you to easily add WebDAV support to a NodeJS application. jsDAV is meant to cover the entire standard, and attempts to allow integration using an easy to understand API.","version":"0.3.16","license":"MIT","homepage":"http://github.com/cozy/jsDAV","engines":{"node":">= 0.4.0"},"author":{"name":"Mike de Boer","email":"info@mikedeboer.nl"},"scripts":{"test":"node test/test_server.js","mocha":"find ./test/postgre -name '*.js' | xargs mocha"},"main":"lib/jsdav","repository":{"type":"git","url":"git+ssh://git@github.com/cozy/jsDAV.git"},"dependencies":{"asyncjs":"0.0.10","formidable":"1.0.17","xmldom":"0.1.21","xpath":"0.0.21","moment":"2.11.1"},"devDependencies":{"chai":"latest","mocha":"","assert":""},"licenses":[{"type":"The MIT License","url":"http://www.opensource.org/licenses/mit-license.php"}],"gitHead":"6ac540dc4bf053e8cf24b467c19a3ef3fcd48a85","bugs":{"url":"https://github.com/cozy/jsDAV/issues"},"_id":"cozy-jsdav-fork@0.3.16","_shasum":"2efa5c774d183cecd50cd13b1a684f242a136861","_from":".","_npmVersion":"2.14.20","_nodeVersion":"4.4.1","_npmUser":{"name":"mycozycloud","email":"frank@cozycloud.cc"},"dist":{"shasum":"2efa5c774d183cecd50cd13b1a684f242a136861","tarball":"https://registry.npmjs.org/cozy-jsdav-fork/-/cozy-jsdav-fork-0.3.16.tgz","integrity":"sha512-tdbCQunCV/I4l+QNM8qwFSvkY6DCQj/hXE3x3R4Daus6F9XerLX6fHjie/siMupqf1IDYMXrdD6etv932NQEvw==","signatures":[{"keyid":"SHA256:jl3bwswu80PjjokCgh0o2w5c2U4LhQAE57gj9cz1kzA","sig":"MEQCIEJKM0l8dnV5Q2ZnUM/q1WNgaqnFW+UKwtgmxnkGhYKaAiAQ5aYrSkz6T2d5Wa0YK+3mNBj2AXFU4rpmOaJ4vYn2UA=="}]},"maintainers":[{"name":"mycozycloud","email":"frank@cozycloud.cc"}],"_npmOperationalInternal":{"host":"packages-12-west.internal.npmjs.com","tmp":"tmp/cozy-jsdav-fork-0.3.16.tgz_1459784730372_0.7367101816926152"}},"0.3.17":{"name":"cozy-jsdav-fork","description":"jsDAV allows you to easily add WebDAV support to a NodeJS application. jsDAV is meant to cover the entire standard, and attempts to allow integration using an easy to understand API.","version":"0.3.17","license":"MIT","homepage":"http://github.com/cozy/jsDAV","engines":{"node":">= 0.4.0"},"author":{"name":"Mike de Boer","email":"info@mikedeboer.nl"},"scripts":{"test":"node test/test_server.js","mocha":"find ./test/postgre -name '*.js' | xargs mocha"},"main":"lib/jsdav","repository":{"type":"git","url":"git+ssh://git@github.com/cozy/jsDAV.git"},"dependencies":{"asyncjs":"0.0.10","formidable":"1.0.17","xmldom":"0.1.21","xpath":"0.0.21","moment":"2.11.1"},"devDependencies":{"chai":"latest","mocha":"","assert":""},"licenses":[{"type":"The MIT License","url":"http://www.opensource.org/licenses/mit-license.php"}],"gitHead":"a28c7fb26342651db39506d78c3870e91d0d9a8b","bugs":{"url":"https://github.com/cozy/jsDAV/issues"},"_id":"cozy-jsdav-fork@0.3.17","_shasum":"9530734862204d92d3a7bd2170e495be57a698de","_from":".","_npmVersion":"2.15.6","_nodeVersion":"4.4.2","_npmUser":{"name":"mycozycloud","email":"frank@cozycloud.cc"},"dist":{"shasum":"9530734862204d92d3a7bd2170e495be57a698de","tarball":"https://registry.npmjs.org/cozy-jsdav-fork/-/cozy-jsdav-fork-0.3.17.tgz","integrity":"sha512-9Wsf1+GtF2mQDeZaUDGYuzLyEAriWgiw0Lo+o3tj3Bjdjm3KsvYWn0osTMvHV1Y4hGj5jia0acUYFzvHjB6uBg==","signatures":[{"keyid":"SHA256:jl3bwswu80PjjokCgh0o2w5c2U4LhQAE57gj9cz1kzA","sig":"MEUCIQDlhSSk9EnQVu1t6iqAR/mwH/8SoF6LOMYwVOcD0fZGlAIgXfNnG0wFt4h3VsYOxSuMriaNqSgYtB7Iz2qk1csYbfs="}]},"maintainers":[{"name":"mycozycloud","email":"frank@cozycloud.cc"}],"_npmOperationalInternal":{"host":"packages-12-west.internal.npmjs.com","tmp":"tmp/cozy-jsdav-fork-0.3.17.tgz_1465798404533_0.3120554129127413"}}},"readme":"# jsDAV\n\njsDAV allows you to easily add WebDAV support to a NodeJS application.\njsDAV is meant to cover the entire standard, and attempts to allow integration using an easy to understand API.\n\n## SabreDAV\njsDAV started as a port of [SabreDAV] to NodeJS Javascript, written by Evert Pot\nand maintained by Evert and contributors.\n[SabreDAV] is regarded as one of the highest quality WebDAV implementations around\nand is written entirely in PHP and is the most feature complete implementation\nthat I've seen to date. I am watching the [SabreDAV] repository closely for changes,\nimprovements and bugfixes, to see if they can be ported to jsDAV.\n\n## Features\n\n * Fully WebDAV compliant\n * Supports Windows XP, Windows Vista, Mac OS/X, DavFSv2, Cadaver, Netdrive, Open Office, and probably more\n * Supporting class 1, 2 and 3 Webdav servers\n * Custom property support\n * Locking support\n * Pass all Litmus tests\n\n## Features in development\n\n * CalDAV (to be tested with Evolution, iCal, iPhone and Lightning).\n\n## Supported RFC's\n\n * [RFC2617]: Basic/Digest auth\n * [RFC2518]: First WebDAV spec\n * [RFC4709]: DavMount\n * [RFC5397]: current-user-principal\n * [RFC5689]: Extended MKCOL\n * [RFC3744]: ACL\n * CardDAV (to be tested with the iOS addressbook and Evolution)\n\n## RFC's in development\n\n * [RFC4791]: CalDAV\n * [RFC4918]: WebDAV revision\n * CalDAV ctag, CalDAV-proxy\n\n[SabreDAV]: http://sabre.io/\n[RFC2617]: http://www.ietf.org/rfc/rfc2617.txt\n[RFC2518]: http://www.ietf.org/rfc/rfc2518.txt\n[RFC3744]: http://www.ietf.org/rfc/rfc3744.txt\n[RFC4709]: http://www.ietf.org/rfc/rfc4709.txt\n[RFC4791]: http://www.ietf.org/rfc/rfc4791.txt\n[RFC4918]: http://www.ietf.org/rfc/rfc4918.txt\n[RFC5397]: http://www.ietf.org/rfc/rfc5397.txt\n[RFC5689]: http://www.ietf.org/rfc/rfc5689.txt\n\nSee the [wiki](https://github.com/mikedeboer/jsDAV/wiki) for more information or\nask a question in the [mailing list](https://groups.google.com/d/forum/jsdav)!\n\n\nAmsterdam, 2010. Mike de Boer.\n","maintainers":[{"name":"mycozycloud","email":"frank@cozycloud.cc"}],"time":{"modified":"2022-06-14T02:14:23.782Z","created":"2013-11-22T10:09:34.886Z","0.3.2-caldav":"2013-11-22T10:09:44.889Z","0.3.3-caldav":"2013-12-12T16:08:51.435Z","0.3.4-caldav":"2013-12-16T11:26:25.590Z","0.3.5-caldav":"2014-01-21T10:52:36.009Z","0.3.6":"2014-01-23T11:44:05.848Z","0.3.7":"2015-07-03T08:14:09.551Z","0.3.8":"2015-09-09T08:50:18.890Z","0.3.9":"2015-09-16T11:10:02.536Z","0.3.10":"2015-09-17T07:49:16.876Z","0.3.11":"2015-10-19T15:54:16.736Z","0.3.12":"2015-10-30T10:05:28.391Z","0.3.13":"2015-11-16T12:37:13.754Z","0.3.14":"2016-02-22T12:19:41.733Z","0.3.15":"2016-03-01T10:23:08.549Z","0.3.16":"2016-04-04T15:45:32.931Z","0.3.17":"2016-06-13T06:13:26.916Z"},"author":{"name":"Mike de Boer","email":"info@mikedeboer.nl"},"repository":{"type":"git","url":"git+ssh://git@github.com/cozy/jsDAV.git"},"readmeFilename":"README.md","users":{"bmordue":true,"shanewholloway":true,"delacap":true},"homepage":"http://github.com/cozy/jsDAV","bugs":{"url":"https://github.com/cozy/jsDAV/issues"},"license":"MIT"}